Generate a working file path from file tree template based on task parameters. Revision can be computed automatically if not provided.
POST
/data/tasks/{task_id}/working-file-path
curl
curl -X POST "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-file-path" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "main",
"mode": "working",
"software_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"comment": "Updated lighting",
"revision": 1,
"separator": "/"
}'
import requests
url = "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-file-path"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "main",
"mode": "working",
"software_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"comment": "Updated lighting",
"revision": 1,
"separator": "/"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-file-path' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"name":"main","mode":"working","software_id":"a24a6ea4-ce75-4665-a070-57453082c25","comment":"Updated lighting","revision":1,"separator":"/"}'
Request examples
{
"name": "main",
"mode": "working",
"software_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"comment": "Updated lighting",
"revision": 1,
"separator": "/"
}
Response examples (200)
{
"path": "/project/asset/working/main_v001.blend",
"name": "main_v001.blend"
}